      subroutine sc01(in,jn,kn,ln,dum,hii)
      IMPLICIT REAL*8(A-H,O-X,Z),LOGICAL*1 (Y)
      parameter(maxsym=8,maxorbcas=16)
      include 'maxorb.prm'
c
c    |-*-*-*-*-*-*-*-|-*-*-*-*-*-*-*-|
c    |               |      hii      |
c
      common/dim/iadri ; integer(8) iadri
      common /cs/ noac,nelac,numac(maxorbcas),itype(maxorb),is0,ms2
      common /icd1/ispin(2)
      common/sgn/ksgn(maxorb+maxorb),isgn0,intsgn
      dimension hii(iadri)
      common/scbid/in1,jn1,kn1,ln1
      character*4 gener
      common /prep/ nca0,ncb0,ic0(maxorbcas),icamun(maxorb+maxorb)
     *,numt(maxorb),nump(maxorb),nv
     *,gener,yoc(maxorb+maxorb),yrefc(maxorbcas),yac(maxorb)
     *,ygmono,ygddci,ygddc2,ygcas,ygtous
      common/scmr/yscmrs
c      dimension iespaa(2),aa(1),coef(1)
c      character*1 coef
      yw=.false.
      if(yw)write(6,*)'entree sc01'
      in1=in
      jn1=jn
      kn1=kn
      ln1=ln
c
c---------------------------------------------------
c      integrales sans echange
c---------------------------------------------------
c
      rewind 75
cnnnn      write(75,'(a22,4i3,a3)')'nnnn int sans echange',in,jn,kn,ln,'
cnnnn      rewind 75
cnnnn      call scril
CYW      if(yw)write(6,*)'avant 75'
CYW      if(yw)write(75,*)'int sans echange',in,jn,kn,ln,'$'
CYW      if(yw)write(6,*)'avant scril'
CYW      if(yw)call scril
      intsgn=1
      ispin(1)=1
      ispin(2)=-1
      if(gener(1:2).eq.'MR')then
         yscmrs=.true.
         call cd02s0(in,jn,kn,ln,dum,hii)
         yscmrs=.false.
      else
         call sc02j(in,jn,kn,ln,dum,hii)
      endif
      return
      end
